property Sprite1, Sprite2, handler_name

on getPropertyDescriptionList
  set D to [:]
  addProp(D, #Sprite1, [#default: 2, #format: #integer, #comment: "Sprite 1:"])
  addProp(D, #Sprite2, [#default: 3, #format: #integer, #comment: "Sprite 2:"])
  addProp(D, #handler_name, [#default: #two_intersected, #format: #symbol, #comment: "Event to SendAllSprites:"])
  return D
end

on getBehaviorDescription
  return "Sends All Sprites an event when the two sprites intersect."
end

on getAssocMembers
  set myPropList to [Sprite1, Sprite2]
  return myPropList
end

on exitFrame me
  if sprite the Sprite1 of me intersects sprite(the Sprite2 of me) then
    doIntersection(me)
  end if
end

on doIntersection me
  sendAllSprites(the handler_name of me)
end
