property whichevent, WhichSound, WhichChannel, StartImmediately, tester

on triggerPlayMember me
  trigger(me)
end

on mouseUp me
  if whichevent = #mouseUp then
    trigger(me)
  end if
end

on mouseDown me
  if whichevent = #mouseDown then
    trigger(me)
  end if
end

on prepareFrame me
  if whichevent = #prepareFrame then
    trigger(me)
  end if
end

on enterFrame me
  if whichevent = #enterFrame then
    trigger(me)
  end if
end

on exitFrame me
  if whichevent = #exitFrame then
    trigger(me)
  end if
end

on trigger me
  puppetSound(the WhichChannel of me, the WhichSound of me)
  if the StartImmediately of me then
    updateStage()
  end if
end

on getPropertyDescriptionList
  set p_list to [#WhichSound: [#comment: "Sound:", #format: #string, #default: EMPTY], #WhichChannel: [#comment: "Channel:", #format: #integer, #default: 1], #whichevent: [#comment: "Triggering Event:", #format: #symbol, #range: [#mouseUp, #mouseDown, #prepareFrame, #enterFrame, #exitFrame], #default: #mouseUp]]
  return p_list
end

on getBehaviorDescription
  return "Play the designated Sound castmember when the specified Event occurs." & RETURN & "PARAMETERS:" & RETURN & "• Sound - number of castmember to be played." & RETURN & "• Channel - number ( 1-4 ) of sound channel to be used for playback." & RETURN & "• Triggering Event - event that will cause sound to play."
end

on getAssocMembers
  set myPropList to [WhichSound]
  return myPropList
end
