property VideoSprite, DownCM, UpCM, DownNum, UpNum, button_active

on beginSprite me
  set the UpCM of me to the member of sprite the spriteNum of me
  set the UpNum of me to the number of member UpCM
  set the DownNum of me to the number of member DownCM
  set the button_active of me to 0
  puppetSprite(the spriteNum of me, 1)
end

on endSprite me
  puppetSprite(the spriteNum of me, 0)
end

on mouseDown me
  global movieMe
  set the member of sprite the spriteNum of me to DownNum
  set the button_active of me to 1
  set movieMe to the movieRate of sprite the VideoSprite of me
  set the movieRate of sprite the VideoSprite of me to -10
end

on mouseUp me
  global movieMe
  set the member of sprite the spriteNum of me to UpNum
  set the button_active of me to 0
  set the movieRate of sprite the VideoSprite of me to movieMe
end

on mouseUpOutSide me
  set the button_active of me to 0
end

on mouseLeave me
  if the button_active of me then
    set the member of sprite the spriteNum of me to UpNum
  end if
end

on mouseEnter me
  if the button_active of me then
    set the member of sprite the spriteNum of me to DownNum
  end if
end

on getPropertyDescriptionList
  set description to [:]
  if the currentSpriteNum = 0 then
    set memdefault to 0
  else
    set memref to the member of sprite the currentSpriteNum
    set castLibNum to the castLibNum of memref
    set memdefault to member (the memberNum of member memref + 1) of castLib castLibNum
  end if
  addProp(description, #VideoSprite, [#comment: "Video Sprite:", #format: #integer, #default: the currentSpriteNum + 3])
  addProp(description, #DownCM, [#default: memdefault, #format: #bitmap, #comment: "Pict for Down:"])
  return description
end

on getBehaviorDescription
  return "Invokes the Fast Fwd  function for a digital video sprite. Attach to a Pushbutton with the appropriate label." & RETURN & "PARAMETERS:" & RETURN & "• Video Sprite - number of the sprite channel in which the video is displayed."
end

on getAssocMembers
  set myPropList to [DownCM]
  return myPropList
end
